List Models

View as Markdown

List Models endpoint with filtering, pagination, and sorting.

Supports filter parameters for various criteria (including peft, custom fields), pagination (page, page_size), sorting, and workspace filtering via query parameter.

Path parameters

workspacestringRequired

Query parameters

pageintegerOptionalDefaults to 1
Page number.
page_sizeintegerOptionalDefaults to 100
Page size.
sortenumOptionalDefaults to created_at

The field to sort by. To sort in decreasing order, use - in front of the field name.

verbosebooleanOptionalDefaults to false
Whether to include full spec details
filterobjectOptional

Filter models by name, project, workspace, base_model, adapters, finetuning_type, prompt, lora_enabled, description, created_at, and updated_at.

Response

Return a list of models
datalist of objects
paginationobject
Pagination information.
sortstring
The field on which the results are sorted.
filtermap from strings to any
Filtering information.

Errors

422
Unprocessable Entity Error